{ config, ... }:
{
  services.promtail = {
    enable = true;
    configuration = {
      server = {
        http_listen_address = "0.0.0.0";
        http_listen_port = 9099;
        grpc_listen_address = "0.0.0.0";
        grpc_listen_port = 9098;
      };

      clients = [
        {
          url = "http://monitoring01.home.2rjus.net:3100/loki/api/v1/push";
        }
      ];

      scrape_configs = [
        {
          job_name = "journal";
          journal = {
            json = true;
            labels = {
              job = "systemd-journal";
            };
          };
          relabel_configs = [
            {
              source_labels = [ "__journal__systemd_unit" ];
              target_label = "systemd_unit";
            }
            {
              source_labels = [ "__journal__hostname" ];
              target_label = "host";
            }
          ];
        }
        {
          job_name = "varlog";
          static_configs = [
            {
              targets = [ "localhost" ];
              labels = {
                job = "varlog";
                __path__ = "/var/log/**/*.log";
                hostname = "${config.networking.hostName}";
              };
            }
          ];
        }
      ];
    };
  };
}
